summary refs log tree commit diff
path: root/jenkins-flake8.sh
diff options
context:
space:
mode:
authorErik Johnston <erik@matrix.org>2016-03-03 16:12:45 +0000
committerErik Johnston <erik@matrix.org>2016-03-03 16:26:38 +0000
commitc037170faa6fcda689fdd8c3777cd9ef64c24016 (patch)
treeb6af98e08567d7a5092a147728e6d90ed8c2ca30 /jenkins-flake8.sh
parentMkdir (diff)
downloadsynapse-c037170faa6fcda689fdd8c3777cd9ef64c24016.tar.xz
Split up jenkins tests
Diffstat (limited to 'jenkins-flake8.sh')
-rwxr-xr-xjenkins-flake8.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/jenkins-flake8.sh b/jenkins-flake8.sh
new file mode 100755
index 0000000000..cbcb0ae4c0
--- /dev/null
+++ b/jenkins-flake8.sh
@@ -0,0 +1,20 @@
+#!/bin/bash -eu
+
+: ${WORKSPACE:="$(pwd)"}
+
+export PYTHONDONTWRITEBYTECODE=yep
+export SYNAPSE_CACHE_FACTOR=1
+
+# Output test results as junit xml
+export TRIAL_FLAGS="--reporter=subunit"
+export TOXSUFFIX="| subunit-1to2 | subunit2junitxml --no-passthrough --output-to=results.xml"
+# Write coverage reports to a separate file for each process
+export COVERAGE_OPTS="-p"
+export DUMP_COVERAGE_COMMAND="coverage help"
+
+# Output flake8 violations to violations.flake8.log
+export PEP8SUFFIX="--output-file=violations.flake8.log"
+
+rm .coverage* || echo "No coverage files to remove"
+
+tox -e packaging -e pep8